
from odoo.tests import TransactionCase


class TestMisc(TransactionCase):

    def test_partner_vat_autofix(self):
        mycorp = self.env["res.partner"].create({
            "name": "My Corp 1 S.A.",
            "is_company": True,
            "country_id": self.env.ref("base.lu").id,
        })
        mycorp.write({"vat": "12345613"})
        self.assertEqual(mycorp.vat, "LU12345613",
                         "VAT should have been prefixed by country-CC")

        contact = self.env["res.partner"].create({
            "name": "John Smith",
            "country_id": self.env.ref("base.be").id,
        })
        contact.parent_id = mycorp.id
        self.assertEqual(contact.vat, "LU12345613")
